package com.onsiteservice.admin.controller.service.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;

/**
 * <P></P>
 *
 * @author 李宁
 * @version v1.0
 * @since 2022/7/11 17:19
 */
@ApiModel("添加维修工请求模型")
@Data
public class SaveServiceWorkerDTO {

    @ApiModelProperty("姓名")
    @NotBlank(message = "请输入维修工姓名")
    private String name;

    /**
     * 手机号
     */
    @ApiModelProperty("手机号")
    @NotBlank(message = "请输入维修工手机")
    private String phone;

    /**
     * 维修工类型
     */
    @ApiModelProperty("维修工类型")
    @NotEmpty(message = "请选择工种")
    private Boolean kind;

}
