package com.onsiteservice.miniapp.controller.order.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;

@Data
public class ServiceOrderVO {

    private Long id;

    private String orderNo;

    private Long accountNo;

    /**
     * 地址相关信息
     */
    private String phone;
    private String address;
    private String name;

    private Long addressId;

    private Date expectArrivalTime;

    private Integer num;

    private String demandImg;

    private String demandDesc;

    private Integer readAgreement;

    private String remark;

    private Integer orderStatus;

    private Date createTime;

    private Date modifyTime;

}